clc
clear all
close all

n=6; %number of tests included
cc=hsv(n+1);
figure(1)
a='%';
subplot(2,2,1)
for i=1:n
    dat=importdata(sprintf('energy%d',i));
    plot(dat(:,1),dat(:,2)/10^6,'color',cc(i,:));
    hold on
    dev(i)=(1-min(dat(:,2))/max(dat(:,2)))*100;
end


grid on
xlabel('Time [s]')
ylabel('Total Energy [kJ]');
xlim([0 0.02])
ylim([9.35 9.50])
h_legend=legend('$\sim$ 0 $\sigma$-phase','1-5 $\sigma$-phase','$\sim$ 10 $\sigma$-phase, $\sigma_c=1350$','$\sim$ 10 $\sigma$-phase, $\sigma_{c}=1370$','$\sim$ 10 $\sigma$-phase,$\sigma_{c}=1380$','$\sim$ 10 $\sigma$-phase,$\sigma_{c}=1390$','Lab data','location','NorthEastOutside');
set(h_legend,'interpreter','LaTex');
print(gcf,'-dpdf','energy');