clc
close all

a='%';
fout=fopen('key_values_SC_with_AC_values_table.txt','w+');
fprintf(fout,'\\begin{tabular}{l r | c c c c c c} \n');
fprintf(fout,'&& $\\sigma_u$ & $\\varepsilon_{cr}$ & $\\omega_{cr}$ & $\\Pi$     & $\\Delta \\sigma$ & $\\Delta F$ \\\\ \n');
fprintf(fout,'&& [MPa]      & [mm/mm]             & $vol.{\\%s}$   & [J/$mm^3$] & [MPa]             & [N]         \\\\ \n',a);
fprintf(fout,'\\hline \n');

sigma_phase = 0;
sigma_u     = importdata('../0_sigma/solidcoarse/coarse_parameters/results/sigma_u.txt');
epsilon_cr  = importdata('../0_sigma/solidcoarse/coarse_parameters/results/epsilon_cr.txt');
omega_fcr   = importdata('../0_sigma/solidcoarse/coarse_parameters/results/omega_fcr.txt');
pi          = importdata('../0_sigma/solidcoarse/coarse_parameters/results/PI.txt');
delta_sigma = importdata('../0_sigma/solidcoarse/coarse_parameters/results/deltasigma.txt');
delta_force = importdata('../0_sigma/solidcoarse/coarse_parameters/results/deltaforce.txt');


fprintf(fout,'\\multirow{3}{*}{SC} & $\\sigma_{\\sim %d {\\%s}}$ & $%1.0f$ & $%1.2f$ & $%1.2e$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',...
            sigma_phase,a,sigma_u,epsilon_cr,omega_fcr,pi,delta_sigma,delta_force);

sigma_phase = '1-5';
sigma_u     = importdata('../5_sigma/solidcoarse/coarse_parameters/results/sigma_u.txt');
epsilon_cr  = importdata('../5_sigma/solidcoarse/coarse_parameters/results/epsilon_cr.txt');
omega_fcr   = importdata('../5_sigma/solidcoarse/coarse_parameters/results/omega_fcr.txt');
pi          = importdata('../5_sigma/solidcoarse/coarse_parameters/results/PI.txt');
delta_sigma = importdata('../5_sigma/solidcoarse/coarse_parameters/results/deltasigma.txt');
delta_force = importdata('../5_sigma/solidcoarse/coarse_parameters/results/deltaforce.txt');

fprintf(fout,' & $\\sigma_{%s {\\%s}}$ & $%1.0f$ & $%1.2f$ & $%1.2e$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',...
            sigma_phase,a,sigma_u,epsilon_cr,omega_fcr,pi,delta_sigma,delta_force);

sigma_phase = 10;
sigma_u     = importdata('../10_sigma/solidcoarse/coarse_parameters/results/sigma_u.txt');
epsilon_cr  = importdata('../10_sigma/solidcoarse/coarse_parameters/results/epsilon_cr.txt');
omega_fcr   = importdata('../10_sigma/solidcoarse/coarse_parameters/results/omega_fcr.txt');
pi          = importdata('../10_sigma/solidcoarse/coarse_parameters/results/PI.txt');
delta_sigma = importdata('../10_sigma/solidcoarse/coarse_parameters/results/deltasigma.txt');
delta_force = importdata('../10_sigma/solidcoarse/coarse_parameters/results/deltaforce.txt');

fprintf(fout,' & $\\sigma_{\\sim %d {\\%s}}$ & $%1.0f$ & $%1.2f$ & $%1.2e$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',...
            sigma_phase,a,sigma_u,epsilon_cr,omega_fcr,pi,delta_sigma,delta_force);
fprintf(fout,'\\hline \n');
fprintf(fout,'\\end{tabular}');
movefile('key_values_SC_with_AC_values_table.txt','SC_with_AC_opt_values/key_values_SC_with_AC_values_table.txt');

clc
clearvars