

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                   Writing results in to table                         %%
% After finished results this will create a table containg key values     %
% for each percentage of sigma phace. We include sigma_y, sigma_u         %
%epsilon_cr, total energy dissipated, deviation from tests.               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
pwd;
c=pwd;
a='%';
w='basis';
%% Starting tabular
fout=fopen('tablebas.txt','w+');
fprintf(fout,'\\begin{tabular}{ l  r | c | c | c | c | c | c | c | c } \n');
fprintf(fout,' & & $\\sigma_0$ & $\\sigma_u$ & $\\varepsilon_{cr}$ & $\\omega_0$ & $\\omega_f$ & $\\Pi$ & $\\Delta \\sigma$ & $\\Delta F$ \\\\ \n'); 
fprintf(fout,'\n');
fprintf(fout,' & & [MPa] & [MPa] & [mm/mm] & $vol.{\\%s}$ & $vol.{\\%s}$ & [J/$mm^3$] & [MPa] & [N] \\\\ \n',a,a); 
fprintf(fout,'\\hline \n');

%% Input data for Axissymmetric coarse mesh
% 0% sigma
cd(c)
p='../0_sigma/axiscoarse/';
cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('calc_omega_f.txt');
fprintf(fout,'AC & $\\sigma_{\\sim0{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);

% 5% Sigma
cd(c)
p='../5_sigma/axiscoarse/';
cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('calc_omega_f.txt');;
fprintf(fout,' & $\\sigma_{\\sim1-5{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);
% 10% Sigma
cd(c)
p='../10_sigma/axiscoarse/';
cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('calc_omega_f.txt');;
fprintf(fout,' & $\\sigma_{\\sim10{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);

fprintf(fout,'\\hline \n');

%% Input data for Axesymmetric fine
% 0% Sigma
cd(c); p='../0_sigma/axisfine/'; cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('calc_omega_f.txt');;
fprintf(fout,'AF & $\\sigma_{\\sim0{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);
% 5% Sigma
cd(c); p='../5_sigma/axisfine/'; cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('omega_f.txt');
fprintf(fout,' & $\\sigma_{\\sim1-5{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);

% 10% Sigma
cd(c); p='../10_sigma/axisfine/'; cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('calc_omega_f.txt');;
fprintf(fout,' & $\\sigma_{\\sim10{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);


fprintf(fout,'\\hline \n');

%% Input data for Solid coarse
% 0% Sigma
cd(c); p='../0_sigma/solidcoarse/'; cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('calc_omega_f.txt');;
fprintf(fout,'SC & $\\sigma_{\\sim0{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);


% 5% Sigma
cd(c); p='../5_sigma/solidcoarse/'; cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('calc_omega_f.txt');;
fprintf(fout,' & $\\sigma_{\\sim1-5{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);


% 10% Sigma
cd(c); p='../10_sigma/solidcoarse/'; cd(p);cd(w);cd('results')
dF=importdata('deltaforce.txt');
dS=importdata('deltasigma.txt');
sigma_u=importdata('sigma_u.txt');
eC=importdata('epsilon_cr.txt');
PI=importdata('PI.txt');
sigma_0=importdata('sigma_0.txt');
omega_0=importdata('omega_0.txt');
omega_f=importdata('calc_omega_f.txt');;
fprintf(fout,' & $\\sigma_{\\sim10{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);


fprintf(fout,'\\hline \n');

% %% Input data for Solid fine
% % 0% Sigma
% cd(c); p='../0_sigma/solidfine/'; cd(p);cd(w);cd('results')
% dF=importdata('deltaforce.txt');
% dS=importdata('deltasigma.txt');
% sigma_u=importdata('sigma_u.txt');
% eC=importdata('epsilon_cr.txt');
% PI=importdata('PI.txt');
% sigma_0=importdata('sigma_0.txt');
% omega_0=importdata('omega_0.txt');
% omega_f=importdata('calc_omega_f.txt');;
% fprintf(fout,'SF & $\\sigma_{\\sim0{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);
% 
% 
% % 5% Sigma
% cd(c); p='../5_sigma/solidfine/'; cd(p);cd(w);cd('results')
% dF=importdata('deltaforce.txt');
% dS=importdata('deltasigma.txt');
% sigma_u=importdata('sigma_u.txt');
% eC=importdata('epsilon_cr.txt');
% PI=importdata('PI.txt');
% sigma_0=importdata('sigma_0.txt');
% omega_0=importdata('omega_0.txt');
% omega_f=importdata('omega_f.txt');
% fprintf(fout,' & $\\sigma_{\\sim1-5{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);
% 
% 
% % 10% Sigma
% cd(c); p='../10_sigma/solidfine/'; cd(p);cd(w);cd('results')
% dF=importdata('deltaforce.txt');
% dS=importdata('deltasigma.txt');
% sigma_u=importdata('sigma_u.txt');
% eC=importdata('epsilon_cr.txt');
% PI=importdata('PI.txt');
% sigma_0=importdata('sigma_0.txt');
% omega_0=importdata('omega_0.txt');
% omega_f=importdata('calc_omega_f.txt');;
% fprintf(fout,' & $\\sigma_{\\sim10{\\%s}}$ & $%1.0f$ & $%1.0f$ & $%1.2f$ & $%1.4f$ & $%1.4f$ & $%1.0f$ & $%1.0f$ & $%1.0f$ \\\\ \n',a,sigma_0,sigma_u,eC,omega_0,omega_f,PI,dS,dF);
% 
% fprintf(fout,'\\hline \n');
%% Ending tabular
fprintf(fout,'\\end{tabular}')
clearvars -EXCEPT 'cf'
cd(cf)
